/////////////////////////////////////////////////////////////////////////////
// Name:        string_const.h
// Purpose:     many strings from application
// Package:     ASIX FORTE programmer demo software
//              distributed as-is, without any warranties
// Author:      http://www.asix.net/
// Created:     2016
/////////////////////////////////////////////////////////////////////////////

#ifndef _STRING_CONST_H
#define _STRING_CONST_H

// ----------------------------------------------------------------------------
// define
// ----------------------------------------------------------------------------

#define STR_APP_CAPTION "Forte Programmer Demo"
#define STR_APP_NAME "forte_programmer"
#define STR_DLL_NAME "forte.dll"
#define STR_LOAD_DLL_ERROR "Cannot load forte.dll library!"
#define STR_ABOUT_CAPTION "About Forte Programmer Demo"
#define STR_ABOUT_MESSAGE "This is Forte Programmer Demo application. Visit http://www.asix.net/. "
#define STR_PROG_SN_WARNING "Warning: programmer S/N %06X not found, switching to \"Default\"."

#define STR_DEVICE_DEFAULT_NAME "Device"
#define STR_DEVICE_MEMORY_NAME "Data"
#define STR_DEVICE_MULTIMEMORY_NAME "Memory %d"

#define STR_OPEN_FILE_CAPTION "Open file"
#define STR_OPEN_FILE_FILTER "Binary files (*.bin)|*.bin|Intel-hex files (*.hex)|*.hex"
#define STR_OPEN_ERR_CAPTION "Open"
#define STR_OPEN_ERR_MESSAGE "Open file failed."
#define STR_OPEN_OK "File loaded: "
#define STR_SAVE_FILE_CAPTION "Save file"
#define STR_SAVE_FILE_FILTER "Binary files (*.bin)|*.bin|Intel-hex files (*.hex)|*.hex"
#define STR_SAVE_FILE_ERR_CAPTION "Save file"
#define STR_SAVE_FILE_ERR_MESSAGE "Save file failed."
#define STR_SAVE_LOG_CAPTION "Save log file"
#define STR_SAVE_LOG_FILTER "Text files (*.txt)|*.txt|All files (*.*)|*.*"
#define STR_SAVE_OK "File saved: "

#define STR_WINDOW_ACTION "Action"
#define STR_WINDOW_BITALIAS "Bit Alias"
#define STR_WINDOW_DEVICEHELP "Device Hint"
#define STR_WINDOW_LOG "Log"
#define STR_WINDOW_SETTINGS "Settings"

#define STR_MENU_ACTION "&Action"
#define STR_MENU_BITALIAS "&Bit Alias"
#define STR_MENU_DEVICEHELP "Dev&ice Hint"
#define STR_MENU_LOG "&Log"
#define STR_MENU_SETTINGS "Se&ttings"
#define STR_MENU_NEW "&New\tCtrl+N"
#define STR_MENU_NEW_HINT "Create empty file"
#define STR_MENU_OPEN "&Open\tCtrl+O"
#define STR_MENU_OPEN_HINT "Open existing file"
#define STR_MENU_SAVE "Save &As...\tCtrl+S"
#define STR_MENU_SAVE_HINT "Save current file"
#define STR_MENU_CLEARLOG "&Clear Log"
#define STR_MENU_CLEARLOG_HINT "Clear log window"
#define STR_MENU_SAVELOG "Save &Log As..."
#define STR_MENU_SAVELOG_HINT "Save log into text file"
#define STR_MENU_DEVICE "&Device"
#define STR_MENU_DEVICE_HINT "Select device"
#define STR_MENU_PROG_REFRESH "&Refresh"
#define STR_MENU_PROG_REFRESH_HINT "Refresh list of programmers"
#define STR_MENU_PROG_DEFAULT "Default"
#define STR_MENU_PROG "&Programmer"
#define STR_MENU_PROG_HINT "Select programmer"
#define STR_MENU_EXIT "E&xit\tAlt+X"
#define STR_MENU_EXIT_HINT "Quit this program"
#define STR_MENU_SHOW_ALL "&Show All"
#define STR_MENU_HIDE_ALL "&Hide All"
#define STR_MENU_ABOUT "&About...\tF1"
#define STR_MENU_ABOUT_HINT "Show about dialog"
#define STR_MENU_FILE "&File"
#define STR_MENU_WINDOW "&Window"
#define STR_MENU_HELP "&Help"


#endif /* _STRING_CONST_H*/
